GNU bug report logs - #40737
Segfault in arm gcc7, thumb2 builroot, with arm patch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: important; Reported by: dsmich@HIDDEN; dated Mon, 20 Apr 2020 19:35:02 UTC; Maintainer for guile is bug-guile@HIDDEN.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 40737 <at> debbugs.gnu.org:


Received: (at 40737) by debbugs.gnu.org; 21 Apr 2020 12:37:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 21 08:37:02 2020
Received: from localhost ([127.0.0.1]:49130 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQs98-0000Si-40
	for submit <at> debbugs.gnu.org; Tue, 21 Apr 2020 08:37:02 -0400
Received: from p-impout007aa.msg.pkvw.co.charter.net ([47.43.26.138]:48384
 helo=p-impout001.msg.pkvw.co.charter.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dsmich@HIDDEN>) id 1jQs95-0000SA-Ls
 for 40737 <at> debbugs.gnu.org; Tue, 21 Apr 2020 08:37:00 -0400
Received: from localhost ([54.243.7.172]) by cmsmtp with ESMTP
 id Qs8yjmbHgqjkdQs8zjVuEn; Tue, 21 Apr 2020 12:36:53 +0000
X-Authority-Analysis: v=2.3 cv=SZ2JicZu c=1 sm=1 tr=0
 a=ZhHbwgLlxfPm5G22ibXkng==:117 a=ZhHbwgLlxfPm5G22ibXkng==:17
 a=dSg6v7tjMxUA:10 a=sHr4OyxSuDP5ra09z1IA:9 a=7-XBvb30tWAYBIiw:21
 a=QEXdDO2ut3YA:10 a=gjY9bPtbgme1RsSi8T4A:9 a=TURxAnHJM-NO0QM4:21
 a=_W_S_7VecoQA:10
Message-Id: <5403654b1db917ec825daef46ac98cdbf3634eeb@webmail>
From: dsmich@HIDDEN
To: "'40737 <at> debbugs.gnu.org'" <40737 <at> debbugs.gnu.org>
X-Mailer: Atmail 
X-Originating-IP: [65.185.85.154]
X-Priority: 3
Importance: Normal
X-MSMail-Priority: Normal
Subject: RE: bug#40737: Even more info
Date: Tue, 21 Apr 2020 12:36:52 +0000
Content-Type: multipart/alternative;
 boundary="=_9fc0a916d0fe2740189b6e9b911d9ae0"
MIME-Version: 1.0
X-CMAE-Envelope: MS4wfN5mnhPfSlJgPOEz4uq1hXMpMZJqSDfZ0G0NKkTj+KF4Gyqv5gHzpQKyi2dBetTsIOvFjTaO0hWbOvdQEl47d6ZBMYlsNJEPvNuRvXkqUcNemRq/Wion
 HBQvldt6sGa5K/GkmKzrWnz4oVxRybqvcwmcgWr+qz68rCfK13PXO7CE
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  And with threshold set to 0: # GUILE_JIT_THRESHOLD=0 guile
 Pre-boot error; key: misc-error, args: (#f "parent is not a exception type
 ~S" (#) #f)Aborted (core dumped) Program terminated with signal SIGABRT,
 Aborted. #0 0x76acd6b6 in ?? () [Current thread is 1 (LWP 515)] (gdb) thread
 apply all backtrace 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [47.43.26.138 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE
X-Debbugs-Envelope-To: 40737
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

--=_9fc0a916d0fe2740189b6e9b911d9ae0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

And with threshold set to 0:=0A=0A# GUILE_JIT_THRESHOLD=3D0 guile=0APre-=
boot error; key: misc-error, args: (#f "parent is not a exception=0Atype=
 ~S" (#) #f)Aborted (core dumped)=0A=0AProgram terminated with signal SI=
GABRT, Aborted.=0A#0 0x76acd6b6 in ?? ()=0A[Current thread is 1 (LWP 515=
)]=0A(gdb) thread apply all backtrace=0A=0AThread 4 (LWP 518):=0A#0 0x76=
e5f674 in __libc_do_syscall () from=0A/home/dales/br/rpi/host/arm-buildr=
oot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#1 0x76e5a99e in pthre=
ad_cond_wait@@GLIBC_2.4 () from=0A/home/dales/br/rpi/host/arm-buildroot-=
linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#2 0x76e837aa in GC_wait_m=
arker () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sy=
sroot/usr/lib/libgc.so.1=0A#3 0x76e83ab0 in GC_help_marker () from=0A/ho=
me/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc=
.so.1=0A#4 0x76e83b26 in GC_mark_thread () from=0A/home/dales/br/rpi/hos=
t/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#5 0x76e55b=
b0 in start_thread () from=0A/home/dales/br/rpi/host/arm-buildroot-linux=
-gnueabihf/sysroot/lib/libpthread.so.0=0A#6 0x76b4b0ec in ?? () from=0A/=
home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so=
.6=0ABacktrace stopped: previous frame identical to this frame (corrupt=
=0Astack?)=0A=0AThread 3 (LWP 516):=0A#0 0x76e5f674 in __libc_do_syscall=
 () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot=
/lib/libpthread.so.0=0A#1 0x76e5a99e in pthread_cond_wait@@GLIBC_2.4 ()=
 from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/li=
b/libpthread.so.0=0A#2 0x76e837aa in GC_wait_marker () from=0A/home/dale=
s/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=
=0A#3 0x76e83ab0 in GC_help_marker () from=0A/home/dales/br/rpi/host/arm=
-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#4 0x76e83b26 in=
 GC_mark_thread () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gn=
ueabihf/sysroot/usr/lib/libgc.so.1=0A#5 0x76e55bb0 in start_thread () fr=
om=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/l=
ibpthread.so.0=0A#6 0x76b4b0ec in ?? () from=0A/home/dales/br/rpi/host/a=
rm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6=0ABacktrace stopped:=
 previous frame identical to this frame (corrupt=0Astack?)=0A=0AThread 2=
 (LWP 517):=0A#0 0x76e5f674 in __libc_do_syscall () from=0A/home/dales/b=
r/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#=
1 0x76e5a99e in pthread_cond_wait@@GLIBC_2.4 () from=0A/home/dales/br/rp=
i/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#2 0x=
76e837aa in GC_wait_marker () from=0A/home/dales/br/rpi/host/arm-buildro=
ot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#3 0x76e83ab0 in GC_help=
_marker () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/=
sysroot/usr/lib/libgc.so.1=0A#4 0x76e83b26 in GC_mark_thread () from=0A/=
home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/lib=
gc.so.1=0A#5 0x76e55bb0 in start_thread () from=0A/home/dales/br/rpi/hos=
t/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#6 0x76b4b=
0ec in ?? () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabih=
f/sysroot/lib/libc.so.6=0ABacktrace stopped: previous frame identical to=
 this frame (corrupt=0Astack?)=0A=0AThread 1 (LWP 515):=0A#0 0x76acd6b6=
 in __libc_do_syscall () from=0A/home/dales/br/rpi/host/arm-buildroot-li=
nux-gnueabihf/sysroot/lib/libc.so.6=0A#1 0x76adbc70 in raise () from=0A/=
home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so=
.6=0A#2 0x76adc73e in abort () from=0A/home/dales/br/rpi/host/arm-buildr=
oot-linux-gnueabihf/sysroot/lib/libc.so.6=0A#3 0x76f45ce8 in scm_throw (=
key=3D0x76fb92b0, key@entry=3D0x0,=0Aargs=3D0x76a57360) at throw.c:264=
=0A#4 0x76f0b97e in throw_ (args=3D, key=3D0x0) at intrinsics.c:352=0A#5=
 throw_with_value (val=3D, key_subr_and_message=3D) at intrinsics.c:367=
=0A#6 0x74f473da in ?? ()=0A--Type  for more, q to quit, c to continue w=
ithout paging--c=0ABacktrace stopped: previous frame identical to this f=
rame (corrupt=0Astack?)=0A(gdb) info reg=0Ar0 0x0 0=0Ar1 0x7ef92688 2130=
257544=0Ar2 0x0 0=0Ar3 0x8 8=0Ar4 0x0 0=0Ar5 0x7ef92688 2130257544=0Ar6=
 0x76a57360 1990554464=0Ar7 0xaf 175=0Ar8 0x75207308 1965060872=0Ar9 0x7=
5207208 1965060616=0Ar10 0x4 4=0Ar11 0x76f82000 1995972608=0Ar12 0xaf 17=
5=0Asp 0x7ef92680 0x7ef92680=0Alr 0x76adbc71 1991097457=0Apc 0x76acd6b6=
 0x76acd6b6 =0Acpsr 0x30 48=0Afpscr 0x0 0=0A(gdb) disassem /r 0x76acd6b6=
,+8=0ADump of assembler code from 0x76acd6b6 to 0x76acd6be:=0A=3D> 0x76a=
cd6b6 : 80 bd pop {r7, pc}=0A 0x76acd6b8 : 03 4b ldr r3, [pc, #12] ; (0x=
76acd6c8 )=0A 0x76acd6ba : 1d ee 70 0f mrc 15, 0, r0, cr13, cr0, {3}=0AE=
nd of assembler dump.=0A(gdb) =0A=0A

--=_9fc0a916d0fe2740189b6e9b911d9ae0
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><body>And with threshold set to 0:<br><br># GUILE_JIT_THRESHOLD=3D=
0 guile<br>Pre-boot error; key: misc-error, args: (#f "parent is not a e=
xception type ~S" (#&lt;record-type &amp;programming-error&gt;) #f)Abort=
ed (core dumped)<br><br><br><br>Program terminated with signal SIGABRT,=
 Aborted.<br>#0&nbsp; 0x76acd6b6 in ?? ()<br>[Current thread is 1 (LWP 5=
15)]<br>(gdb) thread apply all backtrace<br><br>Thread 4 (LWP 518):<br>#=
0&nbsp; 0x76e5f674 in __libc_do_syscall () from /home/dales/br/rpi/host/=
arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#1&nbsp; 0x=
76e5a99e in pthread_cond_wait@@GLIBC_2.4 () from /home/dales/br/rpi/host=
/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#2&nbsp; 0=
x76e837aa in GC_wait_marker () from /home/dales/br/rpi/host/arm-buildroo=
t-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#3&nbsp; 0x76e83ab0 in G=
C_help_marker () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueab=
ihf/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76e83b26 in GC_mark_thread=
 () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/u=
sr/lib/libgc.so.1<br>#5&nbsp; 0x76e55bb0 in start_thread () from /home/d=
ales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so=
.0<br>#6&nbsp; 0x76b4b0ec in ?? () from /home/dales/br/rpi/host/arm-buil=
droot-linux-gnueabihf/sysroot/lib/libc.so.6<br>Backtrace stopped: previo=
us frame identical to this frame (corrupt stack?)<br><br>Thread 3 (LWP 5=
16):<br>#0&nbsp; 0x76e5f674 in __libc_do_syscall () from /home/dales/br/=
rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#1=
&nbsp; 0x76e5a99e in pthread_cond_wait@@GLIBC_2.4 () from /home/dales/br=
/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#=
2&nbsp; 0x76e837aa in GC_wait_marker () from /home/dales/br/rpi/host/arm=
-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#3&nbsp; 0x76e8=
3ab0 in GC_help_marker () from /home/dales/br/rpi/host/arm-buildroot-lin=
ux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76e83b26 in GC_mar=
k_thread () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/s=
ysroot/usr/lib/libgc.so.1<br>#5&nbsp; 0x76e55bb0 in start_thread () from=
 /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpt=
hread.so.0<br>#6&nbsp; 0x76b4b0ec in ?? () from /home/dales/br/rpi/host/=
arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6<br>Backtrace stopped=
: previous frame identical to this frame (corrupt stack?)<br><br>Thread=
 2 (LWP 517):<br>#0&nbsp; 0x76e5f674 in __libc_do_syscall () from /home/=
dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.s=
o.0<br>#1&nbsp; 0x76e5a99e in pthread_cond_wait@@GLIBC_2.4 () from /home=
/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.=
so.0<br>#2&nbsp; 0x76e837aa in GC_wait_marker () from /home/dales/br/rpi=
/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#3&nbs=
p; 0x76e83ab0 in GC_help_marker () from /home/dales/br/rpi/host/arm-buil=
droot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76e83b26=
 in GC_mark_thread () from /home/dales/br/rpi/host/arm-buildroot-linux-g=
nueabihf/sysroot/usr/lib/libgc.so.1<br>#5&nbsp; 0x76e55bb0 in start_thre=
ad () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot=
/lib/libpthread.so.0<br>#6&nbsp; 0x76b4b0ec in ?? () from /home/dales/br=
/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6<br>Backtra=
ce stopped: previous frame identical to this frame (corrupt stack?)<br><=
br>Thread 1 (LWP 515):<br>#0&nbsp; 0x76acd6b6 in __libc_do_syscall () fr=
om /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/lib=
c.so.6<br>#1&nbsp; 0x76adbc70 in raise () from /home/dales/br/rpi/host/a=
rm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6<br>#2&nbsp; 0x76adc73=
e in abort () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf=
/sysroot/lib/libc.so.6<br>#3&nbsp; 0x76f45ce8 in scm_throw (key=3D0x76fb=
92b0, key@entry=3D0x0, args=3D0x76a57360) at throw.c:264<br>#4&nbsp; 0x7=
6f0b97e in throw_ (args=3D&lt;optimized out&gt;, key=3D0x0) at intrinsic=
s.c:352<br>#5&nbsp; throw_with_value (val=3D&lt;optimized out&gt;, key_s=
ubr_and_message=3D&lt;optimized out&gt;) at intrinsics.c:367<br>#6&nbsp;=
 0x74f473da in ?? ()<br>--Type &lt;RET&gt; for more, q to quit, c to con=
tinue without paging--c<br>Backtrace stopped: previous frame identical t=
o this frame (corrupt stack?)<br>(gdb) info reg<br>r0&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp; 0<br>r1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp; 0x7ef92688&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; 2130257544<br>r2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0<br>r3&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x8&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp; 8<br>r4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0<br>r5&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x7ef926=
88&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 2130257544<br>r=
6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
; 0x76a57360&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 19905=
54464<br>r7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp; 0xaf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 175<br>r8&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x75207308&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1965060872<br>r9&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x75207208&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1965060616<br>r10&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x4&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp; 4<br>r11&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp; 0x76f82000&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp; 1995972608<br>r12&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; 0xaf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 175<br>sp&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x7ef92680&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x7ef92680<br>lr&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x76a=
dbc71&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1991097457<b=
r>pc&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp; 0x76acd6b6&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x=
76acd6b6 &lt;__libc_do_syscall+6&gt;<br>cpsr&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x30&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 48<br>fpscr&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp; 0<br>(gdb) disassem /r 0x76acd6b6,+8<br>Dump of assembler code fro=
m 0x76acd6b6 to 0x76acd6be:<br>=3D&gt; 0x76acd6b6 &lt;__libc_do_syscall+=
6&gt;:&nbsp;&nbsp;&nbsp; 80 bd&nbsp;&nbsp; pop&nbsp;&nbsp;&nbsp;&nbsp; {=
r7, pc}<br>&nbsp;&nbsp; 0x76acd6b8 &lt;__errno_location+0&gt;:&nbsp;&nbs=
p;&nbsp;&nbsp; 03 4b&nbsp;&nbsp; ldr&nbsp;&nbsp;&nbsp;&nbsp; r3, [pc, #1=
2]&nbsp;&nbsp; ; (0x76acd6c8 &lt;__errno_location+16&gt;)<br>&nbsp;&nbsp=
; 0x76acd6ba &lt;__errno_location+2&gt;:&nbsp;&nbsp;&nbsp;&nbsp; 1d ee 7=
0 0f&nbsp;&nbsp;&nbsp;&nbsp; mrc&nbsp;&nbsp;&nbsp;&nbsp; 15, 0, r0, cr13=
, cr0, {3}<br>End of assembler dump.<br>(gdb) <br><br></body></html>

--=_9fc0a916d0fe2740189b6e9b911d9ae0--





Information forwarded to bug-guile@HIDDEN:
bug#40737; Package guile. Full text available.

Message received at 40737 <at> debbugs.gnu.org:


Received: (at 40737) by debbugs.gnu.org; 20 Apr 2020 19:48:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 15:48:11 2020
Received: from localhost ([127.0.0.1]:48469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQcOp-0004jk-FI
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:48:11 -0400
Received: from p-impout003aa.msg.pkvw.co.charter.net ([47.43.26.134]:56180
 helo=p-impout001.msg.pkvw.co.charter.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dsmich@HIDDEN>) id 1jQcOn-0004jV-OV
 for 40737 <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:48:10 -0400
Received: from localhost ([54.243.7.172]) by cmsmtp with ESMTP
 id QcOhjLXadSkogQcOhjZg1w; Mon, 20 Apr 2020 19:48:03 +0000
X-Authority-Analysis: v=2.3 cv=eKttc0h1 c=1 sm=1 tr=0
 a=ZhHbwgLlxfPm5G22ibXkng==:117 a=ZhHbwgLlxfPm5G22ibXkng==:17
 a=dSg6v7tjMxUA:10 a=Q6Nauhto6WU0tmL2y0EA:9 a=QEXdDO2ut3YA:10
 a=u2qxKXbuWw_W2fVogRAA:9 a=_W_S_7VecoQA:10
Message-Id: <341d9d3072349be09b215117d778cf1233919305@webmail>
From: dsmich@HIDDEN
To: "'40737 <at> debbugs.gnu.org'" <40737 <at> debbugs.gnu.org>
X-Mailer: Atmail 
X-Originating-IP: [65.185.85.154]
X-Priority: 3
Importance: Normal
X-MSMail-Priority: Normal
Subject: Even more info
Date: Mon, 20 Apr 2020 19:48:03 +0000
Content-Type: multipart/alternative;
 boundary="=_fcb8f63a2eb0cf97cc0a1f393482e2c4"
MIME-Version: 1.0
X-CMAE-Envelope: MS4wfEuk1XAN2tg4N0A+sIvL0ijpWJsFmTjhSTAyfqedEqpTT5CwSemgYjJecKm+vncjP3f5COFPIL9LciWPEwDk+xV/qlK7tvrZNTd+KFaERgXdubJ8vt5M
 A9d32XX6c3ohmh8tLwmWR25N5m5H1zZ1CAQ8oo+GDU02EJkhdz8zT4Gp
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Also forgot to mention this is guile 3.0.2. It doesn't fail
 all the time. When run with GUILE_JIT_THRESHOLD=-1 , there are never any
 problems. 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE
X-Debbugs-Envelope-To: 40737
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

--=_fcb8f63a2eb0cf97cc0a1f393482e2c4
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Also forgot to mention this is guile 3.0.2.=0A=0AIt doesn't fail all the=
 time.=0A=0AWhen run with GUILE_JIT_THRESHOLD=3D-1 , there are never any=
 problems.=0A=0AWith GUILE_JIT_THRESHOLD=3D0 , it always fails, but I'm=
 not sure it's in=0Athe same place.=0A=0A-Dale=0A=0A

--=_fcb8f63a2eb0cf97cc0a1f393482e2c4
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><body>Also forgot to mention this is guile 3.0.2.<br><br>It doesn'=
t fail all the time.<br><br>When run with GUILE_JIT_THRESHOLD=3D-1 , the=
re are never any problems.<br><br>With GUILE_JIT_THRESHOLD=3D0 , it alwa=
ys fails, but I'm not sure it's in the same place.<br><br>-Dale<br><br><=
/body></html>

--=_fcb8f63a2eb0cf97cc0a1f393482e2c4--





Information forwarded to bug-guile@HIDDEN:
bug#40737; Package guile. Full text available.

Message received at 40737 <at> debbugs.gnu.org:


Received: (at 40737) by debbugs.gnu.org; 20 Apr 2020 19:42:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 15:42:08 2020
Received: from localhost ([127.0.0.1]:48463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQcIx-0004Zk-RI
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:42:08 -0400
Received: from p-impout006aa.msg.pkvw.co.charter.net ([47.43.26.137]:46162
 helo=p-impout001.msg.pkvw.co.charter.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dsmich@HIDDEN>) id 1jQcIv-0004Z8-JA
 for 40737 <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:42:06 -0400
Received: from localhost ([54.243.7.172]) by cmsmtp with ESMTP
 id QcIpjBbse4hsvQcIpj1ifU; Mon, 20 Apr 2020 19:41:59 +0000
X-Authority-Analysis: v=2.3 cv=F9QpiZpN c=1 sm=1 tr=0
 a=ZhHbwgLlxfPm5G22ibXkng==:117 a=ZhHbwgLlxfPm5G22ibXkng==:17
 a=dSg6v7tjMxUA:10 a=O6dw2x9lFzyInsTHSoEA:9 a=QEXdDO2ut3YA:10
 a=kuPfjAebY3YX0fA8V-kA:9 a=_W_S_7VecoQA:10
Message-Id: <e1cc323311520fd24331321e90265feee9afe7d8@webmail>
From: dsmich@HIDDEN
To: "'40737 <at> debbugs.gnu.org'" <40737 <at> debbugs.gnu.org>
X-Mailer: Atmail 
X-Originating-IP: [65.185.85.154]
X-Priority: 3
Importance: Normal
X-MSMail-Priority: Normal
Subject: Forgot command output
Date: Mon, 20 Apr 2020 19:41:59 +0000
Content-Type: multipart/alternative;
 boundary="=_f6e862b50aa883f33528fd7925a6ccc9"
MIME-Version: 1.0
X-CMAE-Envelope: MS4wfD4wfHaPkzh0+heyzIaCVV7P3fnqsQGB0OHk5JgG5RPOr6+nKVPb2ZDrDmq+YvWUp17u1YaPRrdbdiC6opVFOQkI6kTF46ERmitpAGJoZXDO7JM+sjzc
 GBVrkXjvD/71Y1cxE1/f2ACA6x2G+QLRRxwPHA6yZrGoyhrMGBmvOvk0
X-Spam-Score: 1.8 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  # ulimit -c unlimited # guile Backtrace: Exception thrown
 while printing backtrace: Unrecognized keyword: #:exports Segmentation fault
 (core dumped) -Dale 
 Content analysis details:   (1.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE
X-Debbugs-Envelope-To: 40737
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.8 (/)

--=_f6e862b50aa883f33528fd7925a6ccc9
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

# ulimit -c unlimited=0A# guile=0ABacktrace:=0AException thrown while pr=
inting backtrace:=0AUnrecognized keyword: #:exports=0A=0ASegmentation fa=
ult (core dumped)=0A=0A-Dale=0A=0A

--=_f6e862b50aa883f33528fd7925a6ccc9
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><body># ulimit -c unlimited<br># guile<br>Backtrace:<br>Exception=
 thrown while printing backtrace:<br>Unrecognized keyword: #:exports<br>=
<br>Segmentation fault (core dumped)<br><br><br>-Dale<br><br></body></ht=
ml>

--=_f6e862b50aa883f33528fd7925a6ccc9--





Information forwarded to bug-guile@HIDDEN:
bug#40737; Package guile. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Apr 2020 19:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 20 15:34:38 2020
Received: from localhost ([127.0.0.1]:48445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQcBh-0004NF-NE
	for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:34:38 -0400
Received: from lists.gnu.org ([209.51.188.17]:33761)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dsmich@HIDDEN>) id 1jQcBg-0004N8-6O
 for submit <at> debbugs.gnu.org; Mon, 20 Apr 2020 15:34:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55420)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <dsmich@HIDDEN>) id 1jQcBe-00029W-Uw
 for bug-guile@HIDDEN; Mon, 20 Apr 2020 15:34:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_00,HTML_MESSAGE,
 MISSING_MIMEOLE,RCVD_IN_MSPIKE_H2,SPF_PASS,URIBL_BLOCKED autolearn=no
 autolearn_force=no version=3.4.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.90_1)
 (envelope-from <dsmich@HIDDEN>) id 1jQcBd-000285-OS
 for bug-guile@HIDDEN; Mon, 20 Apr 2020 15:34:34 -0400
Received: from p-impout001aa.msg.pkvw.co.charter.net ([47.43.26.132]:44114
 helo=p-impout001.msg.pkvw.co.charter.net)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dsmich@HIDDEN>)
 id 1jQcBd-00022j-8H
 for bug-guile@HIDDEN; Mon, 20 Apr 2020 15:34:33 -0400
Received: from localhost ([54.243.7.172]) by cmsmtp with ESMTP
 id QcBYjDzvR9GgiQcBZjTfdU; Mon, 20 Apr 2020 19:34:29 +0000
X-Authority-Analysis: v=2.3 cv=Cb52G4jl c=1 sm=1 tr=0
 a=ZhHbwgLlxfPm5G22ibXkng==:117 a=ZhHbwgLlxfPm5G22ibXkng==:17
 a=dSg6v7tjMxUA:10 a=8Wjwkxo3AAAA:20 a=AM0nc3y1yLe9o9kx8TYA:9
 a=RyniExsqNeBSMlDh:21 a=QEXdDO2ut3YA:10 a=AZw0f-kbwjuKNxJpVPIA:9
 a=AZ3L2clSF_Uv2tD9:21 a=_W_S_7VecoQA:10
Message-Id: <3583c04a12981cebf9a014b71c2d6f1a27b851af@webmail>
From: dsmich@HIDDEN
To: "'bug-guile@HIDDEN'" <bug-guile@HIDDEN>
X-Mailer: Atmail 
X-Originating-IP: [65.185.85.154]
X-Priority: 3
Importance: Normal
X-MSMail-Priority: Normal
Subject: Segfault in arm gcc7, thumb2 builroot, with arm patch
Date: Mon, 20 Apr 2020 19:34:28 +0000
Content-Type: multipart/alternative;
 boundary="=_e94b0e78be25e009bc61fcccef08663f"
MIME-Version: 1.0
X-CMAE-Envelope: MS4wfGmed2DomuF9GKrZnkmaNPFPuDWZ5bFQcs2jLGiqDjg43+IwJtUTmLsjGxp1LohOqExoxOy2ZDxSBQMwYYBs+IX9r+MaYh3E3HV+2GLiym9mfdR426Un
 nEkpUc2x8tlgNXeoAZ3EFtLb29ULASNk2/tcsp5DOZOev6x02vR6oBAZ
Received-SPF: pass client-ip=47.43.26.132; envelope-from=dsmich@HIDDEN;
 helo=p-impout001.msg.pkvw.co.charter.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/04/20 15:34:29
X-ACL-Warn: Detected OS   = ???
X-Received-From: 47.43.26.132
X-Spam-Score: 3.1 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Here is a backtrace of running guile on a builtroot
 constructed
 system for rpi3. Thumb2 instructions: BR2_ARM_INSTRUCTIONS_THUMB2=y Gcc 7.5:
 BR2_GCC_VERSION="7.5.0" Glibc. Uses the patch from
 https://gitlab.com/wingo/lightening/-/merge_requests/3
 Content analysis details:   (3.1 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gitlab.com]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE
 1.0 XPRIO                  Has X-Priority header
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.1 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Here is a backtrace of running guile on a builtroot constructed
    system for rpi3. Thumb2 instructions: BR2_ARM_INSTRUCTIONS_THUMB2=y Gcc 7.5:
    BR2_GCC_VERSION="7.5.0" Glibc. Uses the patch from https://gitlab.com/wingo/lightening/-/merge_requests/3
    
 
 Content analysis details:   (1.1 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gitlab.com]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [209.51.188.17 listed in list.dnswl.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 HTML_MESSAGE           BODY: HTML included in message
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  1.8 MISSING_MIMEOLE        Message has X-MSMail-Priority, but no X-MimeOLE

--=_e94b0e78be25e009bc61fcccef08663f
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Here is a backtrace of running guile on a builtroot constructed system=
=0Afor rpi3.=0AThumb2 instructions: BR2_ARM_INSTRUCTIONS_THUMB2=3Dy=0AGc=
c 7.5: BR2_GCC_VERSION=3D"7.5.0"=0AGlibc.=0A=0AUses the patch from=0Ahtt=
ps://gitlab.com/wingo/lightening/-/merge_requests/3=0A=0AI hope this mak=
es it through the mail client ok. =0A=0A-Dale=0A=0ACore was generated by=
 `guile'.=0AProgram terminated with signal SIGSEGV, Segmentation fault.=
=0A#0 0x76ee6f12 in ?? ()=0A[Current thread is 1 (LWP 507)]=0A(gdb) thre=
ad apply all backtrace=0A=0AThread 5 (LWP 508):=0A#0 0x76e59674 in __lib=
c_do_syscall () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnuea=
bihf/sysroot/lib/libpthread.so.0=0A#1 0x76e5499e in pthread_cond_wait@@G=
LIBC_2.4 () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf=
/sysroot/lib/libpthread.so.0=0A#2 0x76e7d7aa in GC_wait_marker () from=
=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib=
/libgc.so.1=0A#3 0x76e7dab0 in GC_help_marker () from=0A/home/dales/br/r=
pi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#4 0x=
76e7db26 in GC_mark_thread () from=0A/home/dales/br/rpi/host/arm-buildro=
ot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#5 0x76e4fbb0 in start_t=
hread () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sy=
sroot/lib/libpthread.so.0=0A#6 0x76b450ec in ?? () from=0A/home/dales/br=
/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6=0ABacktrac=
e stopped: previous frame identical to this frame (corrupt=0Astack?)=0A=
=0AThread 4 (LWP 510):=0A#0 0x76e59674 in __libc_do_syscall () from=0A/h=
ome/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthre=
ad.so.0=0A#1 0x76e5499e in pthread_cond_wait@@GLIBC_2.4 () from=0A/home/=
dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.s=
o.0=0A#2 0x76e7d7aa in GC_wait_marker () from=0A/home/dales/br/rpi/host/=
arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#3 0x76e7dab0=
 in GC_help_marker () from=0A/home/dales/br/rpi/host/arm-buildroot-linux=
-gnueabihf/sysroot/usr/lib/libgc.so.1=0A#4 0x76e7db26 in GC_mark_thread=
 () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot=
/usr/lib/libgc.so.1=0A#5 0x76e4fbb0 in start_thread () from=0A/home/dale=
s/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=
=0A#6 0x76b450ec in ?? () from=0A/home/dales/br/rpi/host/arm-buildroot-l=
inux-gnueabihf/sysroot/lib/libc.so.6=0ABacktrace stopped: previous frame=
 identical to this frame (corrupt=0Astack?)=0A=0AThread 3 (LWP 511):=0A#=
0 0x76e59674 in __libc_do_syscall () from=0A/home/dales/br/rpi/host/arm-=
buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#1 0x76e57720 in=
 read () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sy=
sroot/lib/libpthread.so.0=0A#2 0x76ef8aee in read_finalization_pipe_data=
 (data=3D0x74c1f95c) at=0Afinalizers.c:205=0A#3 0x76e7cea8 in GC_do_bloc=
king_inner () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabi=
hf/sysroot/usr/lib/libgc.so.1=0A#4 0x76e7b068 in GC_with_callee_saves_pu=
shed () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sys=
root/usr/lib/libgc.so.1=0A#5 0x76e7b094 in GC_do_blocking () from=0A/hom=
e/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.=
so.1=0A#6 0x76f3f10c in scm_without_guile (func=3D0x76ef8add , data=3D0x=
74c1f95c)=0Aat threads.c:706=0A#7 0x76ef8d7a in finalization_thread_proc=
 (unused=3D) at=0Afinalizers.c:218=0A#8 0x76eef876 in c_body (d=3D0x74c1=
fe1c) at continuations.c:430=0A#9 0x76f4298e in vm_debug_engine (thread=
=3D0x76a46c00) at=0Avm-engine.c:972=0A#10 0x76f47b9c in scm_call_n (proc=
=3D0x7521dc70,=0Aargv=3Dargv@entry=3D0x74c1fbc0, nargs=3Dnargs@entry=3D2=
) at vm.c:1608=0A#11 0x76ef22c4 in scm_call_2 (proc=3D, arg1=3D, arg2=3D=
) at eval.c:503=0A#12 0x76ef31a2 in scm_c_with_exception_handler (type=
=3Dtype@entry=3D0x404,=0Ahandler=3D0x76f3f9b9 , handler_data=3Dhandler_d=
ata@entry=3D0x74c1fda8, =0A thunk=3D0x76f3fa7d , thunk_data=3Dthunk_data=
@entry=3D0x74c1fda8) at=0Aexceptions.c:170=0A#13 0x76f3fbd4 in scm_c_cat=
ch (tag=3Dtag@entry=3D0x404,=0Abody=3Dbody@entry=3D0x76eef86d , body_dat=
a=3Dbody_data@entry=3D0x74c1fe1c, =0A handler=3Dhandler@entry=3D0x76eefa=
1d ,=0Ahandler_data=3Dhandler_data@entry=3D0x74c1fe1c, =0A pre_unwind_ha=
ndler=3Dpre_unwind_handler@entry=3D0x76eef8fb ,=0Apre_unwind_handler_dat=
a=3Dpre_unwind_handler_data@entry=3D0x751fc300) at=0Athrow.c:168=0A--Typ=
e  for more, q to quit, c to continue without paging--c=0A#14 0x76eefba2=
 in scm_i_with_continuation_barrier (body=3D0x76eef86d ,=0Abody_data=3Db=
ody_data@entry=3D0x74c1fe1c, handler=3D0x76eefa1d ,=0Ahandler_data=3Dhan=
dler_data@entry=3D0x74c1fe1c,=0Apre_unwind_handler=3D0x76eef8fb , pre_un=
wind_handler_data=3D0x751fc300) at=0Acontinuations.c:368=0A#15 0x76eefc0=
6 in scm_c_with_continuation_barrier (func=3D, data=3D) at=0Acontinuatio=
ns.c:464=0A#16 0x76f3edd4 in with_guile (base=3D0x74c1fe4c, data=3D0x74c=
1fe64) at=0Athreads.c:645=0A#17 0x76e78e98 in GC_call_with_stack_base ()=
 from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/us=
r/lib/libgc.so.1=0A#18 0x76f3f0cc in scm_i_with_guile (dynamic_state=3D,=
 data=3D, func=3D) at=0Athreads.c:688=0A#19 scm_with_guile (func=3D, dat=
a=3D) at threads.c:694=0A#20 0x76e4fbb0 in start_thread () from=0A/home/=
dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.s=
o.0=0A#21 0x76b450ec in ?? () from=0A/home/dales/br/rpi/host/arm-buildro=
ot-linux-gnueabihf/sysroot/lib/libc.so.6=0ABacktrace stopped: previous f=
rame identical to this frame (corrupt=0Astack?)=0A=0AThread 2 (LWP 509):=
=0A#0 0x76e59674 in __libc_do_syscall () from=0A/home/dales/br/rpi/host/=
arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#1 0x76e5499=
e in pthread_cond_wait@@GLIBC_2.4 () from=0A/home/dales/br/rpi/host/arm-=
buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#2 0x76e7d7aa in=
 GC_wait_marker () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gn=
ueabihf/sysroot/usr/lib/libgc.so.1=0A#3 0x76e7dab0 in GC_help_marker ()=
 from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/us=
r/lib/libgc.so.1=0A#4 0x76e7db26 in GC_mark_thread () from=0A/home/dales=
/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1=0A=
#5 0x76e4fbb0 in start_thread () from=0A/home/dales/br/rpi/host/arm-buil=
droot-linux-gnueabihf/sysroot/lib/libpthread.so.0=0A#6 0x76b450ec in ??=
 () from=0A/home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot=
/lib/libc.so.6=0ABacktrace stopped: previous frame identical to this fra=
me (corrupt=0Astack?)=0A=0AThread 1 (LWP 507):=0A#0 0x76ee6f12 in scm_is=
_pair (x=3D0x0) at pairs.h:182=0A#1 scm_sloppy_assq (key=3D0x752076f0, a=
list=3D0x0) at alist.c:59=0A#2 0x76effef8 in scm_hash_fn_ref (table=3Dta=
ble@entry=3D0x751da8b0,=0Aobj=3Dobj@entry=3D0x752076f0, dflt=3Ddflt@entr=
y=3D0x4,=0Ahash_fn=3Dhash_fn@entry=3D0x76eff79d , assoc_fn=3D0x76ee6f0d=
 ,=0Aclosure=3Dclosure@entry=3D0x0) at hashtab.c:300=0A#3 0x76efff5c in=
 scm_hashq_ref (table=3D0x751da8b0,=0Akey=3Dkey@entry=3D0x752076f0, dflt=
=3D0x4, dflt@entry=3D0x904) at hashtab.c:426=0A#4 0x76f11f74 in scm_modu=
le_variable (module=3D0x74f281e0,=0Asym=3D0x752076f0) at modules.c:500=
=0A#5 0x76f430c4 in vm_debug_engine (thread=3D0x76a46e00) at=0Avm-engine=
.c:1560=0A#6 0x76f47b9c in scm_call_n (proc=3D0x74107800,=0Aargv=3Dargv@=
entry=3D0x7eb8fb64, nargs=3Dnargs@entry=3D1) at vm.c:1608=0A#7 0x76ef22b=
0 in scm_call_1 (proc=3D, arg1=3D) at eval.c:496=0A#8 0x76f4298e in vm_d=
ebug_engine (thread=3D0x76a46e00) at=0Avm-engine.c:972=0A#9 0x76f47b9c i=
n scm_call_n (proc=3D0x7521dc30,=0Aargv=3Dargv@entry=3D0x7eb8fdb0, nargs=
=3Dnargs@entry=3D4) at vm.c:1608=0A#10 0x76ef22f4 in scm_call_4 (proc=3D=
, arg1=3Darg1@entry=3D0x751fc300,=0Aarg2=3Darg2@entry=3D0x74d09810, arg3=
=3Darg3@entry=3D0x76a4ab60,=0Aarg4=3Darg4@entry=3D0x7416c0b8) at eval.c:=
517=0A#11 0x76eea9a0 in scm_print_exception (port=3Dport@entry=3D0x751fc=
300,=0Aframe=3Dframe@entry=3D0x74d09810, key=3Dkey@entry=3D0x76a4ab60,=
=0Aargs=3Dargs@entry=3D0x7416c0b8) at backtrace.c:121=0A#12 0x76eef994 i=
n print_exception_and_backtrace (args=3D0x7416c0b8,=0Atag=3D0x76a4ab60,=
 port=3D0x751fc300) at continuations.c:415=0A#13 pre_unwind_handler (err=
or_port=3D0x751fc300, tag=3D0x76a4ab60,=0Aargs=3D0x7416c0b8) at continua=
tions.c:453=0A#14 0x76f3fa2e in catch_pre_unwind_handler (data=3D0x7eb91=
c18,=0Aexn=3D0x74159fa0) at throw.c:135=0A#15 0x76f4298e in vm_debug_eng=
ine (thread=3D0x76a46e00) at=0Avm-engine.c:972=0A#16 0x76f47b9c in scm_c=
all_n (proc=3Dproc@entry=3D0x7521dc50,=0Aargv=3D0x7eb90068, nargs=3D5) a=
t vm.c:1608=0A#17 0x76ef245a in scm_apply_0 (proc=3D0x7521dc50, args=3D0=
x304) at=0Aeval.c:603=0A#18 0x76ef2afa in scm_apply_1 (proc=3D, arg1=3Da=
rg1@entry=3D0x76a4ab60,=0Aargs=3Dargs@entry=3D0x74d098c8) at eval.c:609=
=0A#19 0x76f3fd1c in scm_throw (key=3D0x76a4ab60, key@entry=3D0x76f8bd90=
 ,=0Aargs=3D0x74d098c8) at throw.c:262=0A#20 0x76f3fe22 in scm_ithrow (k=
ey=3Dkey@entry=3D0x76f8bd90 , args=3D,=0Ano_return=3Dno_return@entry=3D1=
) at throw.c:457=0A#21 0x76ef0e66 in scm_error_scm (key=3Dkey@entry=3D0x=
76f8bd90 ,=0Asubr=3Dsubr@entry=3D0x4, message=3Dmessage@entry=3D0x76a4ab=
60,=0Aargs=3Dargs@entry=3D0x304, data=3D0x74d09948) at error.c:90=0A#22=
 0x76f41c4a in bind_kwargs (thread=3D, npositional=3D, nlocals=3D14,=0Ak=
wargs=3D0x75145ce0, strict=3D1 '01', allow_other_keys=3D0 '00') at=0Avm.=
c:1015=0A#23 0x7500c6e4 in ?? ()=0ABacktrace stopped: previous frame ide=
ntical to this frame (corrupt=0Astack?)=0A=0A(gdb) info reg=0Ar0 0x75207=
6f0 1965061872=0Ar1 0x0 0=0Ar2 0x0 0=0Ar3 0x76ee6f0d 1995337485=0Ar4 0x4=
 4=0Ar5 0x76f7c000 1995948032=0Ar6 0x751da8b0 1964878000=0Ar7 0x752076f0=
 1965061872=0Ar8 0x3 3=0Ar9 0x74c6d160 1959186784=0Ar10 0x76f8c7e4 19960=
15588=0Ar11 0x76f7c000 1995948032=0Ar12 0x76f7c288 1995948680=0Asp 0x7eb=
8f8d8 0x7eb8f8d8=0Alr 0x76effef9 1995439865=0Apc 0x76ee6f12 0x76ee6f12=
 =0Acpsr 0x40000030 1073741872=0Afpscr 0x0 0=0A=0A(gdb) disassem /r 0x76=
ee6f12,+8=0ADump of assembler code from 0x76ee6f12 to 0x76ee6f1a:=0A=3D>=
 0x76ee6f12 : 0b 68 ldr r3, [r1, #0]=0A 0x76ee6f14 : da 07 lsls r2, r3,=
 #31=0A 0x76ee6f16 : 0a d4 bmi.n 0x76ee6f2e =0A 0x76ee6f18 : 13 f0 06 0f=
 tst.w r3, #6=0AEnd of assembler dump.=0A=0A

--=_e94b0e78be25e009bc61fcccef08663f
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html><body>Here is a backtrace of running guile on a builtroot construc=
ted system for rpi3.<br>Thumb2 instructions: BR2_ARM_INSTRUCTIONS_THUMB2=
=3Dy<br>Gcc 7.5: BR2_GCC_VERSION=3D"7.5.0"<br>Glibc.<br><br>Uses the pat=
ch from https://gitlab.com/wingo/lightening/-/merge_requests/3<br><br>I=
 hope this makes it through the mail client ok.&nbsp; <br><br>-Dale<br><=
br>Core was generated by `guile'.<br>Program terminated with signal SIGS=
EGV, Segmentation fault.<br>#0&nbsp; 0x76ee6f12 in ?? ()<br>[Current thr=
ead is 1 (LWP 507)]<br>(gdb) thread apply all backtrace<br><br>Thread 5=
 (LWP 508):<br>#0&nbsp; 0x76e59674 in __libc_do_syscall () from /home/da=
les/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.=
0<br>#1&nbsp; 0x76e5499e in pthread_cond_wait@@GLIBC_2.4 () from /home/d=
ales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so=
.0<br>#2&nbsp; 0x76e7d7aa in GC_wait_marker () from /home/dales/br/rpi/h=
ost/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#3&nbsp;=
 0x76e7dab0 in GC_help_marker () from /home/dales/br/rpi/host/arm-buildr=
oot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76e7db26 in=
 GC_mark_thread () from /home/dales/br/rpi/host/arm-buildroot-linux-gnue=
abihf/sysroot/usr/lib/libgc.so.1<br>#5&nbsp; 0x76e4fbb0 in start_thread=
 () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/l=
ib/libpthread.so.0<br>#6&nbsp; 0x76b450ec in ?? () from /home/dales/br/r=
pi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6<br>Backtrace=
 stopped: previous frame identical to this frame (corrupt stack?)<br><br=
>Thread 4 (LWP 510):<br>#0&nbsp; 0x76e59674 in __libc_do_syscall () from=
 /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpt=
hread.so.0<br>#1&nbsp; 0x76e5499e in pthread_cond_wait@@GLIBC_2.4 () fro=
m /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libp=
thread.so.0<br>#2&nbsp; 0x76e7d7aa in GC_wait_marker () from /home/dales=
/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br=
>#3&nbsp; 0x76e7dab0 in GC_help_marker () from /home/dales/br/rpi/host/a=
rm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76=
e7db26 in GC_mark_thread () from /home/dales/br/rpi/host/arm-buildroot-l=
inux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#5&nbsp; 0x76e4fbb0 in star=
t_thread () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/s=
ysroot/lib/libpthread.so.0<br>#6&nbsp; 0x76b450ec in ?? () from /home/da=
les/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libc.so.6<br>B=
acktrace stopped: previous frame identical to this frame (corrupt stack?=
)<br><br>Thread 3 (LWP 511):<br>#0&nbsp; 0x76e59674 in __libc_do_syscall=
 () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/l=
ib/libpthread.so.0<br>#1&nbsp; 0x76e57720 in read () from /home/dales/br=
/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#=
2&nbsp; 0x76ef8aee in read_finalization_pipe_data (data=3D0x74c1f95c) at=
 finalizers.c:205<br>#3&nbsp; 0x76e7cea8 in GC_do_blocking_inner () from=
 /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/l=
ibgc.so.1<br>#4&nbsp; 0x76e7b068 in GC_with_callee_saves_pushed () from=
 /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/l=
ibgc.so.1<br>#5&nbsp; 0x76e7b094 in GC_do_blocking () from /home/dales/b=
r/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#=
6&nbsp; 0x76f3f10c in scm_without_guile (func=3D0x76ef8add &lt;read_fina=
lization_pipe_data&gt;, data=3D0x74c1f95c) at threads.c:706<br>#7&nbsp;=
 0x76ef8d7a in finalization_thread_proc (unused=3D&lt;optimized out&gt;)=
 at finalizers.c:218<br>#8&nbsp; 0x76eef876 in c_body (d=3D0x74c1fe1c) a=
t continuations.c:430<br>#9&nbsp; 0x76f4298e in vm_debug_engine (thread=
=3D0x76a46c00) at vm-engine.c:972<br>#10 0x76f47b9c in scm_call_n (proc=
=3D0x7521dc70, argv=3Dargv@entry=3D0x74c1fbc0, nargs=3Dnargs@entry=3D2)=
 at vm.c:1608<br>#11 0x76ef22c4 in scm_call_2 (proc=3D&lt;optimized out&=
gt;, arg1=3D&lt;optimized out&gt;, arg2=3D&lt;optimized out&gt;) at eval=
.c:503<br>#12 0x76ef31a2 in scm_c_with_exception_handler (type=3Dtype@en=
try=3D0x404, handler=3D0x76f3f9b9 &lt;catch_post_unwind_handler&gt;, han=
dler_data=3Dhandler_data@entry=3D0x74c1fda8, <br>&nbsp;&nbsp;&nbsp; thun=
k=3D0x76f3fa7d &lt;catch_body&gt;, thunk_data=3Dthunk_data@entry=3D0x74c=
1fda8) at exceptions.c:170<br>#13 0x76f3fbd4 in scm_c_catch (tag=3Dtag@e=
ntry=3D0x404, body=3Dbody@entry=3D0x76eef86d &lt;c_body&gt;, body_data=
=3Dbody_data@entry=3D0x74c1fe1c, <br>&nbsp;&nbsp;&nbsp; handler=3Dhandle=
r@entry=3D0x76eefa1d &lt;c_handler&gt;, handler_data=3Dhandler_data@entr=
y=3D0x74c1fe1c, <br>&nbsp;&nbsp;&nbsp; pre_unwind_handler=3Dpre_unwind_h=
andler@entry=3D0x76eef8fb &lt;pre_unwind_handler&gt;, pre_unwind_handler=
_data=3Dpre_unwind_handler_data@entry=3D0x751fc300) at throw.c:168<br>--=
Type &lt;RET&gt; for more, q to quit, c to continue without paging--c<br=
>#14 0x76eefba2 in scm_i_with_continuation_barrier (body=3D0x76eef86d &l=
t;c_body&gt;, body_data=3Dbody_data@entry=3D0x74c1fe1c, handler=3D0x76ee=
fa1d &lt;c_handler&gt;, handler_data=3Dhandler_data@entry=3D0x74c1fe1c,=
 pre_unwind_handler=3D0x76eef8fb &lt;pre_unwind_handler&gt;, pre_unwind_=
handler_data=3D0x751fc300) at continuations.c:368<br>#15 0x76eefc06 in s=
cm_c_with_continuation_barrier (func=3D&lt;optimized out&gt;, data=3D&lt=
;optimized out&gt;) at continuations.c:464<br>#16 0x76f3edd4 in with_gui=
le (base=3D0x74c1fe4c, data=3D0x74c1fe64) at threads.c:645<br>#17 0x76e7=
8e98 in GC_call_with_stack_base () from /home/dales/br/rpi/host/arm-buil=
droot-linux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#18 0x76f3f0cc in sc=
m_i_with_guile (dynamic_state=3D&lt;optimized out&gt;, data=3D&lt;optimi=
zed out&gt;, func=3D&lt;optimized out&gt;) at threads.c:688<br>#19 scm_w=
ith_guile (func=3D&lt;optimized out&gt;, data=3D&lt;optimized out&gt;) a=
t threads.c:694<br>#20 0x76e4fbb0 in start_thread () from /home/dales/br=
/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#=
21 0x76b450ec in ?? () from /home/dales/br/rpi/host/arm-buildroot-linux-=
gnueabihf/sysroot/lib/libc.so.6<br>Backtrace stopped: previous frame ide=
ntical to this frame (corrupt stack?)<br><br>Thread 2 (LWP 509):<br>#0&n=
bsp; 0x76e59674 in __libc_do_syscall () from /home/dales/br/rpi/host/arm=
-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#1&nbsp; 0x76e=
5499e in pthread_cond_wait@@GLIBC_2.4 () from /home/dales/br/rpi/host/ar=
m-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<br>#2&nbsp; 0x76=
e7d7aa in GC_wait_marker () from /home/dales/br/rpi/host/arm-buildroot-l=
inux-gnueabihf/sysroot/usr/lib/libgc.so.1<br>#3&nbsp; 0x76e7dab0 in GC_h=
elp_marker () from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf=
/sysroot/usr/lib/libgc.so.1<br>#4&nbsp; 0x76e7db26 in GC_mark_thread ()=
 from /home/dales/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/usr/=
lib/libgc.so.1<br>#5&nbsp; 0x76e4fbb0 in start_thread () from /home/dale=
s/br/rpi/host/arm-buildroot-linux-gnueabihf/sysroot/lib/libpthread.so.0<=
br>#6&nbsp; 0x76b450ec in ?? () from /home/dales/br/rpi/host/arm-buildro=
ot-linux-gnueabihf/sysroot/lib/libc.so.6<br>Backtrace stopped: previous=
 frame identical to this frame (corrupt stack?)<br><br>Thread 1 (LWP 507=
):<br>#0&nbsp; 0x76ee6f12 in scm_is_pair (x=3D0x0) at pairs.h:182<br>#1&=
nbsp; scm_sloppy_assq (key=3D0x752076f0, alist=3D0x0) at alist.c:59<br>#=
2&nbsp; 0x76effef8 in scm_hash_fn_ref (table=3Dtable@entry=3D0x751da8b0,=
 obj=3Dobj@entry=3D0x752076f0, dflt=3Ddflt@entry=3D0x4, hash_fn=3Dhash_f=
n@entry=3D0x76eff79d &lt;scm_ihashq&gt;, assoc_fn=3D0x76ee6f0d &lt;scm_s=
loppy_assq&gt;, closure=3Dclosure@entry=3D0x0) at hashtab.c:300<br>#3&nb=
sp; 0x76efff5c in scm_hashq_ref (table=3D0x751da8b0, key=3Dkey@entry=3D0=
x752076f0, dflt=3D0x4, dflt@entry=3D0x904) at hashtab.c:426<br>#4&nbsp;=
 0x76f11f74 in scm_module_variable (module=3D0x74f281e0, sym=3D0x752076f=
0) at modules.c:500<br>#5&nbsp; 0x76f430c4 in vm_debug_engine (thread=3D=
0x76a46e00) at vm-engine.c:1560<br>#6&nbsp; 0x76f47b9c in scm_call_n (pr=
oc=3D0x74107800, argv=3Dargv@entry=3D0x7eb8fb64, nargs=3Dnargs@entry=3D1=
) at vm.c:1608<br>#7&nbsp; 0x76ef22b0 in scm_call_1 (proc=3D&lt;optimize=
d out&gt;, arg1=3D&lt;optimized out&gt;) at eval.c:496<br>#8&nbsp; 0x76f=
4298e in vm_debug_engine (thread=3D0x76a46e00) at vm-engine.c:972<br>#9&=
nbsp; 0x76f47b9c in scm_call_n (proc=3D0x7521dc30, argv=3Dargv@entry=3D0=
x7eb8fdb0, nargs=3Dnargs@entry=3D4) at vm.c:1608<br>#10 0x76ef22f4 in sc=
m_call_4 (proc=3D&lt;optimized out&gt;, arg1=3Darg1@entry=3D0x751fc300,=
 arg2=3Darg2@entry=3D0x74d09810, arg3=3Darg3@entry=3D0x76a4ab60, arg4=3D=
arg4@entry=3D0x7416c0b8) at eval.c:517<br>#11 0x76eea9a0 in scm_print_ex=
ception (port=3Dport@entry=3D0x751fc300, frame=3Dframe@entry=3D0x74d0981=
0, key=3Dkey@entry=3D0x76a4ab60, args=3Dargs@entry=3D0x7416c0b8) at back=
trace.c:121<br>#12 0x76eef994 in print_exception_and_backtrace (args=3D0=
x7416c0b8, tag=3D0x76a4ab60, port=3D0x751fc300) at continuations.c:415<b=
r>#13 pre_unwind_handler (error_port=3D0x751fc300, tag=3D0x76a4ab60, arg=
s=3D0x7416c0b8) at continuations.c:453<br>#14 0x76f3fa2e in catch_pre_un=
wind_handler (data=3D0x7eb91c18, exn=3D0x74159fa0) at throw.c:135<br>#15=
 0x76f4298e in vm_debug_engine (thread=3D0x76a46e00) at vm-engine.c:972<=
br>#16 0x76f47b9c in scm_call_n (proc=3Dproc@entry=3D0x7521dc50, argv=3D=
0x7eb90068, nargs=3D5) at vm.c:1608<br>#17 0x76ef245a in scm_apply_0 (pr=
oc=3D0x7521dc50, args=3D0x304) at eval.c:603<br>#18 0x76ef2afa in scm_ap=
ply_1 (proc=3D&lt;optimized out&gt;, arg1=3Darg1@entry=3D0x76a4ab60, arg=
s=3Dargs@entry=3D0x74d098c8) at eval.c:609<br>#19 0x76f3fd1c in scm_thro=
w (key=3D0x76a4ab60, key@entry=3D0x76f8bd90 &lt;throw_var&gt;, args=3D0x=
74d098c8) at throw.c:262<br>#20 0x76f3fe22 in scm_ithrow (key=3Dkey@entr=
y=3D0x76f8bd90 &lt;throw_var&gt;, args=3D&lt;optimized out&gt;, no_retur=
n=3Dno_return@entry=3D1) at throw.c:457<br>#21 0x76ef0e66 in scm_error_s=
cm (key=3Dkey@entry=3D0x76f8bd90 &lt;throw_var&gt;, subr=3Dsubr@entry=3D=
0x4, message=3Dmessage@entry=3D0x76a4ab60, args=3Dargs@entry=3D0x304, da=
ta=3D0x74d09948) at error.c:90<br>#22 0x76f41c4a in bind_kwargs (thread=
=3D&lt;optimized out&gt;, npositional=3D&lt;optimized out&gt;, nlocals=
=3D14, kwargs=3D0x75145ce0, strict=3D1 '\001', allow_other_keys=3D0 '\00=
0') at vm.c:1015<br>#23 0x7500c6e4 in ?? ()<br>Backtrace stopped: previo=
us frame identical to this frame (corrupt stack?)<br><br>(gdb) info reg<=
br>r0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp; 0x752076f0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1=
965061872<br>r1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0<br>r2&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp; 0<br>r3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp;&nbsp; 0x76ee6f0d&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp; 1995337485<br>r4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp; 0x4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4<br>r5&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x76f7c000=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1995948032<br>r6&=
nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
 0x751da8b0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 196487=
8000<br>r7&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; 0x752076f0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp; 1965061872<br>r8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; 0x3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 3<br>r9&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x74c6d160&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1959186784<br>r10&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x76f8c7e4=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1996015588<br>r11=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x76f=
7c000&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1995948032<b=
r>r12&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
 0x76f7c288&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 199594=
8680<br>sp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&n=
bsp;&nbsp; 0x7eb8f8d8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp; 0x7eb8f8d8<br>lr&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbs=
p;&nbsp;&nbsp;&nbsp; 0x76effef9&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp; 1995439865<br>pc&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x76ee6f12&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&=
nbsp;&nbsp;&nbsp;&nbsp; 0x76ee6f12 &lt;scm_sloppy_assq+6&gt;<br>cpsr&nbs=
p;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x40000030&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 1073741872<br>fpscr&nb=
sp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0x0&nbsp;&nbsp;&nbsp=
;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp=
;&nbsp; 0<br><br>(gdb) disassem /r 0x76ee6f12,+8<br>Dump of assembler co=
de from 0x76ee6f12 to 0x76ee6f1a:<br>=3D&gt; 0x76ee6f12 &lt;scm_sloppy_a=
ssq+6&gt;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 0b 68&nbsp;&nbsp; ldr&nbsp;&nbs=
p;&nbsp;&nbsp; r3, [r1, #0]<br>&nbsp;&nbsp; 0x76ee6f14 &lt;scm_sloppy_as=
sq+8&gt;:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; da 07&nbsp;&nbsp; lsls&nbsp;&nbs=
p;&nbsp; r2, r3, #31<br>&nbsp;&nbsp; 0x76ee6f16 &lt;scm_sloppy_assq+10&g=
t;:&nbsp;&nbsp;&nbsp;&nbsp; 0a d4&nbsp;&nbsp; bmi.n&nbsp;&nbsp; 0x76ee6f=
2e &lt;scm_sloppy_assq+34&gt;<br>&nbsp;&nbsp; 0x76ee6f18 &lt;scm_sloppy_=
assq+12&gt;:&nbsp;&nbsp;&nbsp;&nbsp; 13 f0 06 0f&nbsp;&nbsp;&nbsp;&nbsp;=
 tst.w&nbsp;&nbsp; r3, #6<br>End of assembler dump.<br><br></body></html=
>

--=_e94b0e78be25e009bc61fcccef08663f--





Acknowledgement sent to dsmich@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#40737; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 May 2020 21:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.